# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Deleting field 'MetricItem.created'
        db.delete_column('flussi_metricitem', 'created')

        # Adding field 'MetricItem.date_create'
        db.add_column('flussi_metricitem', 'date_create',
                      self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True),
                      keep_default=False)

        # Adding field 'MetricItem.date_last_modify'
        db.add_column('flussi_metricitem', 'date_last_modify',
                      self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True),
                      keep_default=False)

        # Adding field 'MetricItem.creator'
        db.add_column('flussi_metricitem', 'creator',
                      self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='flussi_metricitem_creator', null=True, to=orm['auth.User']),
                      keep_default=False)

        # Adding field 'MetricItem.last_modifier'
        db.add_column('flussi_metricitem', 'last_modifier',
                      self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='flussi_metricitem_last_modifier', null=True, to=orm['auth.User']),
                      keep_default=False)

        # Adding field 'MetricItem.datetime_created'
        db.add_column('flussi_metricitem', 'datetime_created',
                      self.gf('django.db.models.fields.DateTimeField')(default=datetime.datetime.now),
                      keep_default=False)

        # Adding field 'MetricDay.date_create'
        db.add_column('flussi_metricday', 'date_create',
                      self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True),
                      keep_default=False)

        # Adding field 'MetricDay.date_last_modify'
        db.add_column('flussi_metricday', 'date_last_modify',
                      self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True),
                      keep_default=False)

        # Adding field 'MetricDay.creator'
        db.add_column('flussi_metricday', 'creator',
                      self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='flussi_metricday_creator', null=True, to=orm['auth.User']),
                      keep_default=False)

        # Adding field 'MetricDay.last_modifier'
        db.add_column('flussi_metricday', 'last_modifier',
                      self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='flussi_metricday_last_modifier', null=True, to=orm['auth.User']),
                      keep_default=False)

        # Adding field 'MetricMonth.date_create'
        db.add_column('flussi_metricmonth', 'date_create',
                      self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True),
                      keep_default=False)

        # Adding field 'MetricMonth.date_last_modify'
        db.add_column('flussi_metricmonth', 'date_last_modify',
                      self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True),
                      keep_default=False)

        # Adding field 'MetricMonth.creator'
        db.add_column('flussi_metricmonth', 'creator',
                      self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='flussi_metricmonth_creator', null=True, to=orm['auth.User']),
                      keep_default=False)

        # Adding field 'MetricMonth.last_modifier'
        db.add_column('flussi_metricmonth', 'last_modifier',
                      self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='flussi_metricmonth_last_modifier', null=True, to=orm['auth.User']),
                      keep_default=False)

        # Adding field 'MetricUserWeek.date_create'
        db.add_column('flussi_metricuserweek', 'date_create',
                      self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True),
                      keep_default=False)

        # Adding field 'MetricUserWeek.date_last_modify'
        db.add_column('flussi_metricuserweek', 'date_last_modify',
                      self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True),
                      keep_default=False)

        # Adding field 'MetricUserWeek.creator'
        db.add_column('flussi_metricuserweek', 'creator',
                      self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='flussi_metricuserweek_creator', null=True, to=orm['auth.User']),
                      keep_default=False)

        # Adding field 'MetricUserWeek.last_modifier'
        db.add_column('flussi_metricuserweek', 'last_modifier',
                      self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='flussi_metricuserweek_last_modifier', null=True, to=orm['auth.User']),
                      keep_default=False)

        # Adding field 'Metric.date_create'
        db.add_column('flussi_metric', 'date_create',
                      self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True),
                      keep_default=False)

        # Adding field 'Metric.date_last_modify'
        db.add_column('flussi_metric', 'date_last_modify',
                      self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True),
                      keep_default=False)

        # Adding field 'Metric.creator'
        db.add_column('flussi_metric', 'creator',
                      self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='flussi_metric_creator', null=True, to=orm['auth.User']),
                      keep_default=False)

        # Adding field 'Metric.last_modifier'
        db.add_column('flussi_metric', 'last_modifier',
                      self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='flussi_metric_last_modifier', null=True, to=orm['auth.User']),
                      keep_default=False)

        # Adding field 'MetricUserYear.date_create'
        db.add_column('flussi_metricuseryear', 'date_create',
                      self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True),
                      keep_default=False)

        # Adding field 'MetricUserYear.date_last_modify'
        db.add_column('flussi_metricuseryear', 'date_last_modify',
                      self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True),
                      keep_default=False)

        # Adding field 'MetricUserYear.creator'
        db.add_column('flussi_metricuseryear', 'creator',
                      self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='flussi_metricuseryear_creator', null=True, to=orm['auth.User']),
                      keep_default=False)

        # Adding field 'MetricUserYear.last_modifier'
        db.add_column('flussi_metricuseryear', 'last_modifier',
                      self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='flussi_metricuseryear_last_modifier', null=True, to=orm['auth.User']),
                      keep_default=False)

        # Adding field 'MetricSet.date_create'
        db.add_column('flussi_metricset', 'date_create',
                      self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True),
                      keep_default=False)

        # Adding field 'MetricSet.date_last_modify'
        db.add_column('flussi_metricset', 'date_last_modify',
                      self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True),
                      keep_default=False)

        # Adding field 'MetricSet.creator'
        db.add_column('flussi_metricset', 'creator',
                      self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='flussi_metricset_creator', null=True, to=orm['auth.User']),
                      keep_default=False)

        # Adding field 'MetricSet.last_modifier'
        db.add_column('flussi_metricset', 'last_modifier',
                      self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='flussi_metricset_last_modifier', null=True, to=orm['auth.User']),
                      keep_default=False)

        # Adding field 'MetricYear.date_create'
        db.add_column('flussi_metricyear', 'date_create',
                      self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True),
                      keep_default=False)

        # Adding field 'MetricYear.date_last_modify'
        db.add_column('flussi_metricyear', 'date_last_modify',
                      self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True),
                      keep_default=False)

        # Adding field 'MetricYear.creator'
        db.add_column('flussi_metricyear', 'creator',
                      self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='flussi_metricyear_creator', null=True, to=orm['auth.User']),
                      keep_default=False)

        # Adding field 'MetricYear.last_modifier'
        db.add_column('flussi_metricyear', 'last_modifier',
                      self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='flussi_metricyear_last_modifier', null=True, to=orm['auth.User']),
                      keep_default=False)

        # Adding field 'MetricUserMonth.date_create'
        db.add_column('flussi_metricusermonth', 'date_create',
                      self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True),
                      keep_default=False)

        # Adding field 'MetricUserMonth.date_last_modify'
        db.add_column('flussi_metricusermonth', 'date_last_modify',
                      self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True),
                      keep_default=False)

        # Adding field 'MetricUserMonth.creator'
        db.add_column('flussi_metricusermonth', 'creator',
                      self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='flussi_metricusermonth_creator', null=True, to=orm['auth.User']),
                      keep_default=False)

        # Adding field 'MetricUserMonth.last_modifier'
        db.add_column('flussi_metricusermonth', 'last_modifier',
                      self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='flussi_metricusermonth_last_modifier', null=True, to=orm['auth.User']),
                      keep_default=False)

        # Adding field 'MetricWeek.date_create'
        db.add_column('flussi_metricweek', 'date_create',
                      self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True),
                      keep_default=False)

        # Adding field 'MetricWeek.date_last_modify'
        db.add_column('flussi_metricweek', 'date_last_modify',
                      self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True),
                      keep_default=False)

        # Adding field 'MetricWeek.creator'
        db.add_column('flussi_metricweek', 'creator',
                      self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='flussi_metricweek_creator', null=True, to=orm['auth.User']),
                      keep_default=False)

        # Adding field 'MetricWeek.last_modifier'
        db.add_column('flussi_metricweek', 'last_modifier',
                      self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='flussi_metricweek_last_modifier', null=True, to=orm['auth.User']),
                      keep_default=False)

        # Adding field 'MetricUserDay.date_create'
        db.add_column('flussi_metricuserday', 'date_create',
                      self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True),
                      keep_default=False)

        # Adding field 'MetricUserDay.date_last_modify'
        db.add_column('flussi_metricuserday', 'date_last_modify',
                      self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True),
                      keep_default=False)

        # Adding field 'MetricUserDay.creator'
        db.add_column('flussi_metricuserday', 'creator',
                      self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='flussi_metricuserday_creator', null=True, to=orm['auth.User']),
                      keep_default=False)

        # Adding field 'MetricUserDay.last_modifier'
        db.add_column('flussi_metricuserday', 'last_modifier',
                      self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='flussi_metricuserday_last_modifier', null=True, to=orm['auth.User']),
                      keep_default=False)


    def backwards(self, orm):
        # Adding field 'MetricItem.created'
        db.add_column('flussi_metricitem', 'created',
                      self.gf('django.db.models.fields.DateField')(default=datetime.datetime.now),
                      keep_default=False)

        # Deleting field 'MetricItem.date_create'
        db.delete_column('flussi_metricitem', 'date_create')

        # Deleting field 'MetricItem.date_last_modify'
        db.delete_column('flussi_metricitem', 'date_last_modify')

        # Deleting field 'MetricItem.creator'
        db.delete_column('flussi_metricitem', 'creator_id')

        # Deleting field 'MetricItem.last_modifier'
        db.delete_column('flussi_metricitem', 'last_modifier_id')

        # Deleting field 'MetricItem.datetime_created'
        db.delete_column('flussi_metricitem', 'datetime_created')

        # Deleting field 'MetricDay.date_create'
        db.delete_column('flussi_metricday', 'date_create')

        # Deleting field 'MetricDay.date_last_modify'
        db.delete_column('flussi_metricday', 'date_last_modify')

        # Deleting field 'MetricDay.creator'
        db.delete_column('flussi_metricday', 'creator_id')

        # Deleting field 'MetricDay.last_modifier'
        db.delete_column('flussi_metricday', 'last_modifier_id')

        # Deleting field 'MetricMonth.date_create'
        db.delete_column('flussi_metricmonth', 'date_create')

        # Deleting field 'MetricMonth.date_last_modify'
        db.delete_column('flussi_metricmonth', 'date_last_modify')

        # Deleting field 'MetricMonth.creator'
        db.delete_column('flussi_metricmonth', 'creator_id')

        # Deleting field 'MetricMonth.last_modifier'
        db.delete_column('flussi_metricmonth', 'last_modifier_id')

        # Deleting field 'MetricUserWeek.date_create'
        db.delete_column('flussi_metricuserweek', 'date_create')

        # Deleting field 'MetricUserWeek.date_last_modify'
        db.delete_column('flussi_metricuserweek', 'date_last_modify')

        # Deleting field 'MetricUserWeek.creator'
        db.delete_column('flussi_metricuserweek', 'creator_id')

        # Deleting field 'MetricUserWeek.last_modifier'
        db.delete_column('flussi_metricuserweek', 'last_modifier_id')

        # Deleting field 'Metric.date_create'
        db.delete_column('flussi_metric', 'date_create')

        # Deleting field 'Metric.date_last_modify'
        db.delete_column('flussi_metric', 'date_last_modify')

        # Deleting field 'Metric.creator'
        db.delete_column('flussi_metric', 'creator_id')

        # Deleting field 'Metric.last_modifier'
        db.delete_column('flussi_metric', 'last_modifier_id')

        # Deleting field 'MetricUserYear.date_create'
        db.delete_column('flussi_metricuseryear', 'date_create')

        # Deleting field 'MetricUserYear.date_last_modify'
        db.delete_column('flussi_metricuseryear', 'date_last_modify')

        # Deleting field 'MetricUserYear.creator'
        db.delete_column('flussi_metricuseryear', 'creator_id')

        # Deleting field 'MetricUserYear.last_modifier'
        db.delete_column('flussi_metricuseryear', 'last_modifier_id')

        # Deleting field 'MetricSet.date_create'
        db.delete_column('flussi_metricset', 'date_create')

        # Deleting field 'MetricSet.date_last_modify'
        db.delete_column('flussi_metricset', 'date_last_modify')

        # Deleting field 'MetricSet.creator'
        db.delete_column('flussi_metricset', 'creator_id')

        # Deleting field 'MetricSet.last_modifier'
        db.delete_column('flussi_metricset', 'last_modifier_id')

        # Deleting field 'MetricYear.date_create'
        db.delete_column('flussi_metricyear', 'date_create')

        # Deleting field 'MetricYear.date_last_modify'
        db.delete_column('flussi_metricyear', 'date_last_modify')

        # Deleting field 'MetricYear.creator'
        db.delete_column('flussi_metricyear', 'creator_id')

        # Deleting field 'MetricYear.last_modifier'
        db.delete_column('flussi_metricyear', 'last_modifier_id')

        # Deleting field 'MetricUserMonth.date_create'
        db.delete_column('flussi_metricusermonth', 'date_create')

        # Deleting field 'MetricUserMonth.date_last_modify'
        db.delete_column('flussi_metricusermonth', 'date_last_modify')

        # Deleting field 'MetricUserMonth.creator'
        db.delete_column('flussi_metricusermonth', 'creator_id')

        # Deleting field 'MetricUserMonth.last_modifier'
        db.delete_column('flussi_metricusermonth', 'last_modifier_id')

        # Deleting field 'MetricWeek.date_create'
        db.delete_column('flussi_metricweek', 'date_create')

        # Deleting field 'MetricWeek.date_last_modify'
        db.delete_column('flussi_metricweek', 'date_last_modify')

        # Deleting field 'MetricWeek.creator'
        db.delete_column('flussi_metricweek', 'creator_id')

        # Deleting field 'MetricWeek.last_modifier'
        db.delete_column('flussi_metricweek', 'last_modifier_id')

        # Deleting field 'MetricUserDay.date_create'
        db.delete_column('flussi_metricuserday', 'date_create')

        # Deleting field 'MetricUserDay.date_last_modify'
        db.delete_column('flussi_metricuserday', 'date_last_modify')

        # Deleting field 'MetricUserDay.creator'
        db.delete_column('flussi_metricuserday', 'creator_id')

        # Deleting field 'MetricUserDay.last_modifier'
        db.delete_column('flussi_metricuserday', 'last_modifier_id')


    models = {
        'auth.group': {
            'Meta': {'object_name': 'Group'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'ordering': "('content_type__app_label', 'content_type__model', 'codename')", 'unique_together': "(('content_type', 'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '50'})
        },
        'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'flussi.metric': {
            'Meta': {'object_name': 'Metric'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'flussi_metric_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'flussi_metric_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'slug': ('django.db.models.fields.SlugField', [], {'unique': 'True', 'max_length': '60'})
        },
        'flussi.metricday': {
            'Meta': {'object_name': 'MetricDay'},
            'created': ('django.db.models.fields.DateField', [], {'default': 'datetime.date.today'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'flussi_metricday_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'flussi_metricday_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'metric': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['flussi.Metric']"}),
            'num': ('django.db.models.fields.BigIntegerField', [], {'default': '0'})
        },
        'flussi.metricitem': {
            'Meta': {'object_name': 'MetricItem'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'flussi_metricitem_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'datetime_created': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'flussi_metricitem_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'metric': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['flussi.Metric']"}),
            'num': ('django.db.models.fields.IntegerField', [], {'default': '1'}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'default': 'None', 'to': "orm['auth.User']", 'null': 'True', 'blank': 'True'})
        },
        'flussi.metricmonth': {
            'Meta': {'object_name': 'MetricMonth'},
            'created': ('django.db.models.fields.DateField', [], {'default': 'datetime.date.today'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'flussi_metricmonth_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'flussi_metricmonth_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'metric': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['flussi.Metric']"}),
            'num': ('django.db.models.fields.BigIntegerField', [], {'default': '0'})
        },
        'flussi.metricset': {
            'Meta': {'object_name': 'MetricSet'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'flussi_metricset_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'email_recipients': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.User']", 'symmetrical': 'False'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'flussi_metricset_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'metrics': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['flussi.Metric']", 'symmetrical': 'False'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'no_email': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'send_daily': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'send_monthly': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'send_weekly': ('django.db.models.fields.BooleanField', [], {'default': 'False'})
        },
        'flussi.metricuserday': {
            'Meta': {'object_name': 'MetricUserDay'},
            'created': ('django.db.models.fields.DateField', [], {'default': 'datetime.date.today'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'flussi_metricuserday_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'flussi_metricuserday_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'metric': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['flussi.Metric']"}),
            'num': ('django.db.models.fields.BigIntegerField', [], {'default': '0'}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']"})
        },
        'flussi.metricusermonth': {
            'Meta': {'object_name': 'MetricUserMonth'},
            'created': ('django.db.models.fields.DateField', [], {'default': 'datetime.date.today'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'flussi_metricusermonth_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'flussi_metricusermonth_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'metric': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['flussi.Metric']"}),
            'num': ('django.db.models.fields.BigIntegerField', [], {'default': '0'}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']"})
        },
        'flussi.metricuserweek': {
            'Meta': {'object_name': 'MetricUserWeek'},
            'created': ('django.db.models.fields.DateField', [], {'default': 'datetime.date.today'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'flussi_metricuserweek_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'flussi_metricuserweek_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'metric': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['flussi.Metric']"}),
            'num': ('django.db.models.fields.BigIntegerField', [], {'default': '0'}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']"})
        },
        'flussi.metricuseryear': {
            'Meta': {'object_name': 'MetricUserYear'},
            'created': ('django.db.models.fields.DateField', [], {'default': 'datetime.date.today'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'flussi_metricuseryear_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'flussi_metricuseryear_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'metric': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['flussi.Metric']"}),
            'num': ('django.db.models.fields.BigIntegerField', [], {'default': '0'}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']"})
        },
        'flussi.metricweek': {
            'Meta': {'object_name': 'MetricWeek'},
            'created': ('django.db.models.fields.DateField', [], {'default': 'datetime.date.today'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'flussi_metricweek_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'flussi_metricweek_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'metric': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['flussi.Metric']"}),
            'num': ('django.db.models.fields.BigIntegerField', [], {'default': '0'})
        },
        'flussi.metricyear': {
            'Meta': {'object_name': 'MetricYear'},
            'created': ('django.db.models.fields.DateField', [], {'default': 'datetime.date.today'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'flussi_metricyear_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'flussi_metricyear_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'metric': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['flussi.Metric']"}),
            'num': ('django.db.models.fields.BigIntegerField', [], {'default': '0'})
        }
    }

    complete_apps = ['flussi']