#! -*- coding: utf-8 -*-
from django.conf.urls import patterns, url

urlpatterns = patterns(
    '',
    url(
        r'^flusso_utenti/(?P<anno>\d+)/(?P<mese>\d+)/(?P<giorno>\d+)$',
        'acomea.flussi.views.flusso_utenti',
        name='flusso_utenti_da_data'
    ),
    url(
        r'^flusso_utenti$',
        'acomea.flussi.views.flusso_utenti',
        name='flusso_utenti'
    ),
    url(
        r'^flusso_metriche_totale/(?P<aggregation>\w+)/(?P<anno>\d+)/(?P<mese>\d+)/(?P<giorno>\d+)$',
        'acomea.flussi.views.flusso_metriche',
        name='flusso_metriche_in_data'
    ),
    url(
        r'^flusso_metriche_utente/(?P<aggregation>\w+)/(?P<anno>\d+)/(?P<mese>\d+)/(?P<giorno>\d+)$',
        'acomea.flussi.views.flusso_metriche',
        name='flusso_metriche_in_data'
    ),
    url(
        r'^flusso_metriche_slug/(?P<aggregation>\w+)/(?P<anno>\d+)/(?P<mese>\d+)/(?P<giorno>\d+)$',
        'acomea.flussi.views.flusso_metriche',
        name='flusso_metriche_in_data'
    ),
    url(
        r'^flusso_metriche/(?P<aggregation>\w+)/(?P<slug>\w+)/(?P<anno>\d+)/(?P<mese>\d+)/(?P<giorno>\d+)$',
        'acomea.flussi.views.flusso_metriche',
        name='flusso_metriche_in_data'
    ),
    url(
        r'^flusso_metriche/(?P<aggregation>\w+)/(?P<slug>\w+)$',
        'acomea.flussi.views.flusso_metriche',
        name='flusso_metriche'
    ),
)
