# -*- coding: utf-8 -*-

from django.contrib import admin

from .models import Metric, MetricSet, MetricItem, MetricDay
from .models import MetricWeek, MetricMonth, MetricYear
from .models import MetricUserDay, MetricUserWeek, MetricUserMonth
from .models import MetricUserYear

from jmb.core.admin.options import ExtendibleModelAdmin


class MetricAdmin(ExtendibleModelAdmin):
    list_display = ('name',)


class MetricItemAdmin(ExtendibleModelAdmin):
    list_display = ('metric', 'datetime_created', 'user', 'num')
    list_display_csv = ('metric', 'datetime_created', 'user', 'num')


class MetricUserDayAdmin(ExtendibleModelAdmin):
    list_display = ('metric', 'created', 'user', 'num')
    list_display_csv = ('metric', 'created', 'user', 'num')


class MetricUserWeekAdmin(ExtendibleModelAdmin):
    list_display = ('metric', 'get_format_created', 'user', 'num')
    list_display_csv = ('metric', 'get_format_created', 'user', 'num')


class MetricUserMonthAdmin(ExtendibleModelAdmin):
    list_display = ('metric', 'get_format_created', 'user', 'num')
    list_display_csv = ('metric', 'get_format_created', 'user', 'num')


class MetricUserYearAdmin(ExtendibleModelAdmin):
    list_display = ('metric', 'get_format_created', 'user', 'num')
    list_display_csv = ('metric', 'get_format_created', 'user', 'num')


class MetricDayAdmin(ExtendibleModelAdmin):
    list_display = ('metric', 'created', 'num')
    list_display_csv = ('metric', 'created', 'num')


class MetricWeekAdmin(ExtendibleModelAdmin):
    list_display = ('metric', 'get_format_created', 'num')
    list_display_csv = ('metric', 'get_format_created', 'num')


class MetricMonthAdmin(ExtendibleModelAdmin):
    list_display = ('metric', 'get_format_created', 'num')
    list_display_csv = ('metric', 'get_format_created', 'num')


class MetricYearAdmin(ExtendibleModelAdmin):
    list_display = ('metric', 'get_format_created', 'num')
    list_display_csv = ('metric', 'get_format_created', 'num')


admin.site.register(Metric, MetricAdmin)
admin.site.register(MetricItem, MetricItemAdmin)
admin.site.register(MetricSet)
admin.site.register(MetricUserDay, MetricUserDayAdmin)
admin.site.register(MetricUserWeek, MetricUserWeekAdmin)
admin.site.register(MetricUserMonth, MetricUserMonthAdmin)
admin.site.register(MetricUserYear, MetricUserYearAdmin)
admin.site.register(MetricDay, MetricDayAdmin)
admin.site.register(MetricWeek, MetricWeekAdmin)
admin.site.register(MetricMonth, MetricMonthAdmin)
admin.site.register(MetricYear, MetricYearAdmin)
